Function Parameter Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Function Parameter Functions
Embryo

Functions that set parameters for the next function that is called. More...

## Functions
EAPI int | embryo_parameter_cell_push (Embryo_Program *ep, Embryo_Cell cell)
| Pushes an Embryo_Cell onto the function stack to use as a parameter for the next function that is called in the given program.
EAPI int | embryo_parameter_string_push (Embryo_Program *ep, const char *str)
| Pushes a string onto the function stack to use as a parameter for the next function that is called in the given program.
EAPI int | embryo_parameter_cell_array_push (Embryo_Program *ep, Embryo_Cell *cells, int num)
| Pushes an array of Embryo_Cells onto the function stack to be used as parameters for the next function that is called in the given program.

## Detailed Description

Functions that set parameters for the next function that is called.

## Function Documentation

## ◆ embryo_parameter_cell_push()

EAPI int embryo_parameter_cell_push | ( | Embryo_Program * | ep,
|  | Embryo_Cell | cell
| ) |  |

Pushes an Embryo_Cell onto the function stack to use as a parameter for the next function that is called in the given program.

Parameters

  ep | The given program.
  cell | The Embryo_Cell to push onto the stack.

Returns
  `1` if successful. `0` otherwise.

Referenced by embryo_parameter_cell_array_push().

## ◆ embryo_parameter_string_push()

EAPI int embryo_parameter_string_push | ( | Embryo_Program * | ep,
|  | const char * | str
| ) |  |

Pushes a string onto the function stack to use as a parameter for the next function that is called in the given program.

Parameters

  ep | The given program.
  str | The string to push onto the stack.

Returns
  `1` if successful. `0` otherwise.

References embryo_parameter_string_push().

Referenced by embryo_parameter_string_push().

## ◆ embryo_parameter_cell_array_push()

EAPI int embryo_parameter_cell_array_push | ( | Embryo_Program * | ep,
|  | Embryo_Cell * | cells,
|  | int | num
| ) |  |

Pushes an array of Embryo_Cells onto the function stack to be used as parameters for the next function that is called in the given program.

Parameters

  ep | The given program.
  cells | The array of Embryo_Cells.
  num | The number of cells in `cells`.

Returns
  `1` if successful. `0` otherwise.

References embryo_parameter_cell_push().